<template>
    <div class="blog">

        <div class="flex flex-row basis-2/3 ">

            <div class="flex flex-col px-8">
                <div v-for="article in articles" :key="article" class="shadow-lg hover:bg-green-200 rounded-lg flex flex-row p-6 my-2 m-4 ">
                    <div class="basis-1/3 px-6 bg-auto bg-no-repeat bg-center " style="background-image: url(https://cdn.pixabay.com/photo/2013/10/02/23/03/mountains-190055__180.jpg)"></div>

                    <div class="basis-2/3 px-4">
                        <p class="text-md text-green-600">{{article.category}}</p>
                        <p class="text-2xl">{{article.title}}</p>
                        <p class="py-5 text-lg txtfont">{{article.text}}</p>
                        <p class="font-semibold">Read More >></p>
                    </div>
                </div>
            </div>

            <div class="basis-1/3 bg-gray-300 m-2 ">
                
            </div>
        </div>

    </div>
</template>

<script>
export default {
    name:'BlogComponent',
    data() {
        return {
            articles : []
        }
    },
    mounted() {
        fetch('http://localhost:3000/articles')
        .then(res => res.json())
        .then(data => this.articles = data)
        .then(err => console.log(err.message))
    }
}
</script>

<style>
.txtfont {
    font-family: 'Edu SA Beginner', cursive;
}

</style>